- entityDefinitions:
  - IDM_Instance__get__Global_Identifier: '{4c63e13a-29c3-434a-a7e0-5fbe4a3c27b1}'
  - IDMB_Instance__get__Global_Identifier: '{41635a5a-a1eb-4918-919a-84cae7dd2fef}'
  - IDMB_Instance__get__Global_Identifier_for_Related_Task_Instance: '{46e77d8c-dcc3-440d-a680-a07b8e537588}'
    
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getAttributeBySystemRoutineMethod: '&IDM_Instance__get__Global_Identifier;'
    forClassId: '&IDC_Instance;'
    verb: 'get'
    name: 'Global Identifier'
    systemAttributeRoutineId: '&IDI_SystemAttributeRoutine_GetGlobalIdentifier;'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_GlobalIdentifier;'
  - returnAttributeMethodBinding: '&IDMB_Instance__get__Global_Identifier;'
    executesMethod: '&IDM_Instance__get__Global_Identifier;'

  - returnAttributeMethodBinding: '&IDMB_Instance__get__Global_Identifier_for_Related_Task_Instance;'
    executesMethod: '&IDM_Instance__get__Global_Identifier;'
    parameterAssignments:
    - globalIdentifier: '{132f20c1-1797-4ff2-ab02-a946a35be564}'
      assignsToParameter: '&IDC_Instance;'
      assignsFromWorkData: '&IDI_WorkSet_TaskRelatedInstance;'
      evaluateWorkSet: yes
